summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--git/binutils_rev2
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1208
-rw-r--r--jenkins/notify-init.log354
-rw-r--r--jenkins/run-build.env8
-rw-r--r--manifest.sh2
-rw-r--r--notify/jira/comment-template.txt2
-rw-r--r--notify/jira/components1
-rw-r--r--notify/jira/description20
-rw-r--r--notify/jira/startdate1
-rw-r--r--notify/jira/summary1
-rw-r--r--notify/mail-body.txt30
-rw-r--r--notify/mail-recipients.txt2
-rw-r--r--notify/mail-subject.txt2
14 files changed, 1546 insertions, 89 deletions
diff --git a/git/binutils_rev b/git/binutils_rev
index 6cddca3..c349ee3 100644
--- a/git/binutils_rev
+++ b/git/binutils_rev
@@ -1 +1 @@
-26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+8fbb497b7202f404d8914252d44d2ee190a0e172
diff --git a/jenkins/build-name b/jenkins/build-name
index 80b80e8..be922eb 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#437-binutils-R1
+#438-binutils-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 4a57400..da06ab9 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,9 +9,9 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
-# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -21,32 +21,32 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-# Debug traces :
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/436/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/436/'
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/'
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
# Using dir : artifacts
-
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/'
+ echo '# Using dir : artifacts'
+
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
+# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
-# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -76,18 +76,79 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 '!=' x26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 ']'
+++ '[' x8fbb497b7202f404d8914252d44d2ee190a0e172 '!=' x26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 ']'
+++ echo -ne binutils
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
-+ changed_single_component=
-+ echo '# Debug traces :'
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=binutils
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ first_bad=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ last_good=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
++ local res
++ git -C binutils rev-parse --verify HEAD
++ res=0
++ wait 79030
++ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p binutils
++ set -euf -o pipefail
++ local c=binutils
++ local base_rev cur_rev sha1
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ base_rev=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ cur_rev=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ git -C binutils rev-parse '8fbb497b7202f404d8914252d44d2ee190a0e172^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 = 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=no_change :
-+ echo '# change_kind=no_change : '
-
+# change_kind=single_commit : binutils
++ echo '# Debug traces :'
++ echo '# change_kind=single_commit : binutils'
++ for c in "${changed_components[@]}"
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ base_rev=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ cur_rev=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ git -C binutils rev-list --count 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172
++ c_commits=1
++ echo '# rev for binutils : 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172 (1 commits)'
+# rev for binutils : 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172 (1 commits)
+ echo ''
+
+ setup_stages_to_run
+ '[' ignore = onregression ']'
+ '[' ignore = precommit ']'
@@ -113,8 +174,261 @@
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 79110
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=a31a023a6
+++ '[' 0 -ne 0 ']'
+++ echo a31a023a6
++ sha1=a31a023a6
++ git -C interesting-commits checkout --detach a31a023a6
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 652b60265 Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 652b60265
+
+HEAD is now at a31a023a6 Add entry a350a74d6113e3a84943266eb691275951c109d9 from https://ci.linaro.org/job/tcwg_gcc_check--master-arm-build/1289/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ subdir3=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build
+++ local dir=binutils/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 3 -ge 3 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ '[' 3 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
++ subdir4=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build master-aarch64
+++ local dir=binutils/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 4 -ge 3 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ '[' 4 -ge 4 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ subdir5=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ '[' -d interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172 ']'
++ mkdir -p interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
++ mkdir -p interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/'
+[detached HEAD e2635eee2] Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/last_good
++ wait 91828
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -123,15 +437,581 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xno_change '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ isubdir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url ']'
++ local first_url
+++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
++ first_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/ = https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' no_change '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 91898
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=a31a023a6
+++ '[' 0 -ne 0 ']'
+++ echo a31a023a6
++ sha1=a31a023a6
++ git -C interesting-commits checkout --detach a31a023a6
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ e2635eee2 Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> e2635eee2
+
+HEAD is now at a31a023a6 Add entry a350a74d6113e3a84943266eb691275951c109d9 from https://ci.linaro.org/job/tcwg_gcc_check--master-arm-build/1289/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ subdir3=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build
+++ local dir=binutils/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 3 -ge 3 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ '[' 3 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
++ subdir4=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build master-aarch64
+++ local dir=binutils/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 4 -ge 3 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ '[' 4 -ge 4 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ subdir5=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ '[' -d interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172 ']'
++ mkdir -p interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
++ mkdir -p interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ set -euf -o pipefail
++ local subdir=interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status-summary.txt binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# true:
+0
+# build_abe binutils:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# true:
+0
+# build_abe binutils:
+1'
++ return 0
++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt
++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status.txt
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts
++ cat
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ ls
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ ls
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status.txt ']'
++ echo '* tcwg_binutils_build'
++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=binutils
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 true
+++ local component=binutils
+++ local sha1=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ match=(--match "binutils*")
+++ git -C binutils describe --match 'binutils*' 8fbb497b7202f404d8914252d44d2ee190a0e172
++ describe=binutils-2_41-release-1142-g8fbb497b720
+++ echo binutils-2_41-release-1142-g8fbb497b720
+++ sed 's,^basepoints/,,'
++ describe=binutils-2_41-release-1142-g8fbb497b720
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit binutils-2_41-release-1142-g8fbb497b720'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.1CeyUtFlPu
++ git -C binutils log -n1 8fbb497b7202f404d8914252d44d2ee190a0e172
++ tail -n +2
++ head -n 10 /tmp/tmp.1CeyUtFlPu
+++ cat /tmp/tmp.1CeyUtFlPu
+++ wc -l
++ more_lines=6
++ '[' 6 -gt 0 ']'
++ echo '... 6 lines of the commit log omitted.'
++ rm /tmp/tmp.1CeyUtFlPu
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/commit-log.txt
++ true
++ local jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/key ']'
++ '[' -e interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira ']'
++ mkdir interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 true
++++ local component=binutils
++++ local sha1=8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "binutils*")
++++ git -C binutils describe --match 'binutils*' 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ describe=binutils-2_41-release-1142-g8fbb497b720
++++ echo binutils-2_41-release-1142-g8fbb497b720
++++ sed 's,^basepoints/,,'
+++ describe=binutils-2_41-release-1142-g8fbb497b720
+++ '[' --oneline = --oneline ']'
+++ echo binutils-2_41-release-1142-g8fbb497b720
+++ return 0
+++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status-summary.txt
++ echo binutils-2_41-release-1142-g8fbb497b720: Success
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/summary
++ cat
+++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/commit-log.txt
+++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status.txt
+++ print_icommits_link binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/yaml
+++ set -euf -o pipefail
+++ local path=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/yaml
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Binutils)
++ IFS=,
++ echo Binutils
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/components
++ local commit_date
+++ git -C binutils log -n1 --pretty=%cd --date=iso 8fbb497b7202f404d8914252d44d2ee190a0e172
++ commit_date='2023-11-18 18:17:26 +0100'
++ date -d '2023-11-18 18:17:26 +0100' +%Y-%m-%d
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
+++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/key'
+WARNING: no existing jira card interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/key
++ return 0
++ local describe
+++ describe_sha1 binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 false
+++ local component=binutils
+++ local sha1=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ match=(--match "binutils*")
+++ git -C binutils describe --match 'binutils*' 8fbb497b7202f404d8914252d44d2ee190a0e172
++ describe=binutils-2_41-release-1142-g8fbb497b720
++ '[' binutils-2_41-release-1142-g8fbb497b720 '!=' '' ']'
++ local d
+++ dirname binutils-2_41-release-1142-g8fbb497b720
++ d=.
++ mkdir -p interesting-commits/binutils/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ rm -f interesting-commits/binutils/binutils-2_41-release-1142-g8fbb497b720
++ ln -s sha1/8fbb497b7202f404d8914252d44d2ee190a0e172 interesting-commits/binutils/binutils-2_41-release-1142-g8fbb497b720
++ git -C interesting-commits add binutils/binutils-2_41-release-1142-g8fbb497b720
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/'
+[detached HEAD a8804c4b9] Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+ 17 files changed, 84 insertions(+)
+ create mode 120000 binutils/binutils-2_41-release-1142-g8fbb497b720
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/commit-log.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/components
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/description
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/startdate
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/summary
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status-summary.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/last_good
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status-summary.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/status.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status-summary.txt
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/status.txt
++ wait 104933
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -141,11 +1021,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xno_change '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ isubdir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ case "$print_arg" in
+++ echo interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ icommit_entry=interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ '[' interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172 '!=' '' ']'
++ '[' -d interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira ']'
++ rsync -a interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -169,9 +1061,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -179,16 +1071,99 @@
+ set -euf -o pipefail
+ print_mail_recipients
+ set -euf -o pipefail
-+ local c=
++ local c=binutils
++ '[' binutils = '' ']'
++ local -A emails
++ emails["tcwg-validation@linaro.org"]=bcc
++ emails["author"]=cc
++ emails["committer"]=to
++ case "$ci_project/$ci_config:$c" in
++ emails["linaro-toolchain@lists.linaro.org"]=cc_postcommit
++ local c email base_rev cur_rev
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ base_rev=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ cur_rev=8fbb497b7202f404d8914252d44d2ee190a0e172
++ read -r email
+++ git -C binutils log --pretty=%ae 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172
++ emails["$email"]=cc
++ read -r email
++ local precommit_postcommit=postcommit
+ '[' '' = '' ']'
-+ echo bcc:tcwg-validation@linaro.org
-+ return 0
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ base_rev=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ cur_rev=8fbb497b7202f404d8914252d44d2ee190a0e172
++ read -r email
+++ git -C binutils log --pretty=%ce 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172
++ emails["$email"]=to
++ read -r email
++ unset 'emails[author]' 'emails[committer]'
++ local type
++ recipients=()
++ local -a recipients
++ for email in "${!emails[@]}"
++ type=cc_postcommit
++ case "$precommit_postcommit:$type" in
++ type=cc
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=bcc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ IFS=,
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,jose.marchesi@oracle.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 true
++++ local component=binutils
++++ local sha1=8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "binutils*")
++++ git -C binutils describe --match 'binutils*' 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ describe=binutils-2_41-release-1142-g8fbb497b720
++++ echo binutils-2_41-release-1142-g8fbb497b720
++++ sed 's,^basepoints/,,'
+++ describe=binutils-2_41-release-1142-g8fbb497b720
+++ '[' --oneline = --oneline ']'
+++ echo binutils-2_41-release-1142-g8fbb497b720
++ return 0
++ gnu_print_result --oneline
++ false
@@ -203,7 +1178,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -225,21 +1200,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' 'baseline build: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'binutils-2_41-release-1142-g8fbb497b720: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/436/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -261,8 +1236,42 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 true
++++ local component=binutils
++++ local sha1=8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "binutils*")
++++ git -C binutils describe --match 'binutils*' 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ describe=binutils-2_41-release-1142-g8fbb497b720
++++ echo binutils-2_41-release-1142-g8fbb497b720
++++ sed 's,^basepoints/,,'
+++ describe=binutils-2_41-release-1142-g8fbb497b720
+++ '[' --short = --oneline ']'
+++ '[' '' = '' ']'
+++ echo 'commit binutils-2_41-release-1142-g8fbb497b720'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.TfeMoCCBDH
+++ git -C binutils log -n1 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ tail -n +2
+++ head -n 10 /tmp/tmp.TfeMoCCBDH
++++ cat /tmp/tmp.TfeMoCCBDH
++++ wc -l
+++ more_lines=6
+++ '[' 6 -gt 0 ']'
+++ echo '... 6 lines of the commit log omitted.'
+++ rm /tmp/tmp.TfeMoCCBDH
+++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
++ false
@@ -292,7 +1301,7 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -313,38 +1322,123 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_binutils_build/master-aarch64'
-+ '[' no_change '!=' single_commit ']'
-+ return
-+ echo '# generate dashboard'
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
+++ '[' -f interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_binutils_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build master-aarch64
++++ local dir=binutils/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++++ '[' 4 -ge 3 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
++++ '[' 4 -ge 4 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
+++ isubdir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git binutils_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_url in baseline git' '[' -f base-artifacts/git/binutils_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_url
+++ url=git://sourceware.org/git/binutils-gdb.git
+++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
+++ url=binutils-gdb.git
+++ url='https://sourceware.org/git/?p=binutils-gdb.git'
+++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=8fbb497b7202f404d8914252d44d2ee190a0e172'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ isubdir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ case "$print_arg" in
+++ cat interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/status.txt
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ post_dashboard_squad
-# post_dashboard_squad
-... Skipping
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 66775
++ wait 105056
+ set -euf -o pipefail
-# generate_lnt_report
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/lnt-utils.sh
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/ tcwg_binutils_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/ tcwg_binutils_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+ local ci_project=tcwg_binutils_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -358,12 +1452,12 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
+Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 055c8e5..ef439c1 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,32 +20,32 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-# Debug traces :
+ ci_config=master-aarch64
+# Debug traces :
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/436/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/436/'
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/'
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/'
# Using dir : artifacts
-
+ echo '# Using dir : artifacts'
+
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
-+ check_source_changes
# check_source_changes
++ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -76,16 +76,77 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 '!=' x26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 ']'
+++ '[' x8fbb497b7202f404d8914252d44d2ee190a0e172 '!=' x26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 ']'
+++ echo -ne binutils
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
-+ changed_single_component=
-+ echo '# Debug traces :'
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=binutils
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ first_bad=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ last_good=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
++ local res
++ git -C binutils rev-parse --verify HEAD
++ res=0
++ wait 66132
++ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p binutils
++ set -euf -o pipefail
++ local c=binutils
++ local base_rev cur_rev sha1
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ base_rev=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ cur_rev=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ git -C binutils rev-parse '8fbb497b7202f404d8914252d44d2ee190a0e172^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 = 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 ']'
++ return 0
# Debug traces :
-# change_kind=no_change :
-+ echo '# change_kind=no_change : '
+# change_kind=single_commit : binutils
++ change_kind=single_commit
++ echo '# Debug traces :'
++ echo '# change_kind=single_commit : binutils'
++ for c in "${changed_components[@]}"
+++ get_baseline_git binutils_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
++ base_rev=26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
++ cur_rev=8fbb497b7202f404d8914252d44d2ee190a0e172
+++ git -C binutils rev-list --count 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172
++ c_commits=1
+# rev for binutils : 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172 (1 commits)
++ echo '# rev for binutils : 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5..8fbb497b7202f404d8914252d44d2ee190a0e172 (1 commits)'
+ echo ''
+ setup_stages_to_run
@@ -110,12 +171,267 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 66212
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=a31a023a6
+++ '[' 0 -ne 0 ']'
+++ echo a31a023a6
++ sha1=a31a023a6
++ git -C interesting-commits checkout --detach a31a023a6
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 390258e5f Add entry 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5 from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/480/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 390258e5f
+
+HEAD is now at a31a023a6 Add entry a350a74d6113e3a84943266eb691275951c109d9 from https://ci.linaro.org/job/tcwg_gcc_check--master-arm-build/1289/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ jira_dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
+ 580766a28..a31a023a6 master -> baseline/master
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
+# update_interesting_commits
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ subdir3=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build
+++ local dir=binutils/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 3 -ge 3 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ '[' 3 -ge 4 ']'
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
++ subdir4=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ interesting_subdir binutils 8fbb497b7202f404d8914252d44d2ee190a0e172 tcwg_binutils_build master-aarch64
+++ local dir=binutils/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
+++ '[' 4 -ge 3 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build
+++ '[' 4 -ge 4 ']'
+++ dir=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
+++ echo binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ subdir5=binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ '[' -d interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172 ']'
++ mkdir -p interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
++ mkdir -p interesting-commits/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 26c7a0ea380bedb86ff3b5a9ed252d8d2557a0c5
++ git -C interesting-commits add binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/last_good
+ '[' init '!=' full ']'
++ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/'
+[detached HEAD 652b60265] Add entry 8fbb497b7202f404d8914252d44d2ee190a0e172 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/first_url
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/build_url
+ create mode 100644 binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/last_good
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ wait 78939
++ break
Init stage ran successfully.
++ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 8457f43..b5376cf 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,13 +1,13 @@
-build_name="#437"
+build_name="#438"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-jade-06 )
+tcwg-jade-05 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#437-binutils"
+build_name="#438-binutils"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master )
-build_name="#437-binutils-R1"
+build_name="#438-binutils-R1"
diff --git a/manifest.sh b/manifest.sh
index 8e3bd63..d5cae42 100644
--- a/manifest.sh
+++ b/manifest.sh
@@ -6,7 +6,7 @@ rr[ci_config]="master-aarch64"
declare -g "scripts_branch=master"
rr[mode]="build"
rr[update_baseline]="onsuccess"
-declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/"
+declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/"
declare -g "SQUAD_GRP="
rr[binutils_git]="git://sourceware.org/git/binutils-gdb.git#master"
# Saving rr[] in the manifest
diff --git a/notify/jira/comment-template.txt b/notify/jira/comment-template.txt
index c5aab96..8f12b43 100644
--- a/notify/jira/comment-template.txt
+++ b/notify/jira/comment-template.txt
@@ -1,3 +1,3 @@
[GNU-692]
Success
-Details: https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts/notify/mail-body.txt/*view*/
+Details: https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/artifact/artifacts/notify/mail-body.txt/*view*/
diff --git a/notify/jira/components b/notify/jira/components
new file mode 100644
index 0000000..df3b0ba
--- /dev/null
+++ b/notify/jira/components
@@ -0,0 +1 @@
+Binutils
diff --git a/notify/jira/description b/notify/jira/description
new file mode 100644
index 0000000..004a5a7
--- /dev/null
+++ b/notify/jira/description
@@ -0,0 +1,20 @@
+commit binutils-2_41-release-1142-g8fbb497b720
+Author: Jose E. Marchesi <jose.marchesi@oracle.com>
+Date: Sat Nov 18 18:12:44 2023 +0100
+
+ gas: bpf: do not allow referring to register names as symbols in operands
+
+ 2023-11-18 Jose E. Marchesi <jemarch@gnu.org>
+
+ * config/tc-bpf.c (parse_bpf_register): Move before
+ bpf_parse_name.
+ (bpf_parse_name): Do not allow using symbols that are also
+... 6 lines of the commit log omitted.
+
+* tcwg_binutils_build
+** master-aarch64
+*** Success
+*** https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt
+*** https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
+
+Latest data: https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/jira/yaml
diff --git a/notify/jira/startdate b/notify/jira/startdate
new file mode 100644
index 0000000..ec4f40a
--- /dev/null
+++ b/notify/jira/startdate
@@ -0,0 +1 @@
+2023-11-18
diff --git a/notify/jira/summary b/notify/jira/summary
new file mode 100644
index 0000000..b4b2b53
--- /dev/null
+++ b/notify/jira/summary
@@ -0,0 +1 @@
+binutils-2_41-release-1142-g8fbb497b720: Success
diff --git a/notify/mail-body.txt b/notify/mail-body.txt
index 38f86e5..77859ac 100644
--- a/notify/mail-body.txt
+++ b/notify/mail-body.txt
@@ -2,7 +2,18 @@ Dear contributor, our automatic CI has detected problems related to your patch(e
In binutils_build master-aarch64 after:
- | baseline build
+ | commit binutils-2_41-release-1142-g8fbb497b720
+ | Author: Jose E. Marchesi <jose.marchesi@oracle.com>
+ | Date: Sat Nov 18 18:12:44 2023 +0100
+ |
+ | gas: bpf: do not allow referring to register names as symbols in operands
+ |
+ | 2023-11-18 Jose E. Marchesi <jemarch@gnu.org>
+ |
+ | * config/tc-bpf.c (parse_bpf_register): Move before
+ | bpf_parse_name.
+ | (bpf_parse_name): Do not allow using symbols that are also
+ | ... 6 lines of the commit log omitted.
Results changed to
# reset_artifacts:
@@ -26,6 +37,19 @@ CI config tcwg_binutils_build/master-aarch64
-----------------8<--------------------------8<--------------------------8<--------------------------
The information below can be used to reproduce a debug environment:
-Current build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts
-Reference build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/436/artifact/artifacts
+Current build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/artifact/artifacts
+Reference build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/437/artifact/artifacts
+
+Reproduce last good and first bad builds: https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+
+Full commit : https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=8fbb497b7202f404d8914252d44d2ee190a0e172
+
+Latest bug report status : https://linaro.atlassian.net/browse/GNU-692
+
+List of configurations that regressed due to this commit :
+* tcwg_binutils_build
+** master-aarch64
+*** Success
+*** https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/8fbb497b7202f404d8914252d44d2ee190a0e172/tcwg_binutils_build/master-aarch64/details.txt
+*** https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/438/
diff --git a/notify/mail-recipients.txt b/notify/mail-recipients.txt
index aa219ef..e5a1956 100644
--- a/notify/mail-recipients.txt
+++ b/notify/mail-recipients.txt
@@ -1 +1 @@
-bcc:tcwg-validation@linaro.org
+cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,jose.marchesi@oracle.com
diff --git a/notify/mail-subject.txt b/notify/mail-subject.txt
index b6a6ff4..eaf9d58 100644
--- a/notify/mail-subject.txt
+++ b/notify/mail-subject.txt
@@ -1 +1 @@
-[Linaro-TCWG-CI] baseline build: Success on aarch64
+[Linaro-TCWG-CI] binutils-2_41-release-1142-g8fbb497b720: Success on aarch64